Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Interface MfResourceMetricsMBean

All Superinterfaces:
  MfMetricMBean, MfStatusMBean

All Known Implementing Classes:
  MfResourceMetrics

public interface MfResourceMetricsMBean
extends MfMetricMBean

MfResourceMetricsMBean contains the generic metrics related to a resource.

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Method Summary
`long` | `getAccumulatedOperationTime()` Get the accumulated operation time since the reference time.
`long` | `getAccumulatedSqOperationTime()` Get the accumulated squared operation time since the reference time.
`long` | `getFailedOperations()` Get the number of failed operations.
`long` | `getMaxOperationTime()` Get the maximum operation time since the reference time.
`long` | `getMinOperationTime()` Get the minimum operation time since the reference time.
`long` | `getNbOperations()` Get the number of operations.

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled, resetMetrics`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Method Detail

### getFailedOperations

    public long getFailedOperations()

  Get the number of failed operations.

### getNbOperations

    public long getNbOperations()

  Get the number of operations.

### getMinOperationTime

    public long getMinOperationTime()

  Get the minimum operation time since the reference time.

### getMaxOperationTime

    public long getMaxOperationTime()

  Get the maximum operation time since the reference time.

### getAccumulatedOperationTime

    public long getAccumulatedOperationTime()

  Get the accumulated operation time since the reference time.

### getAccumulatedSqOperationTime

    public long getAccumulatedSqOperationTime()

  Get the accumulated squared operation time since the reference time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD